<?php

include 'system/bd.php';
include 'system/cook.php';
include ("system/gzip.php");
include ("system/head1.php");

if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
header ("Location: main.php?");
exit;
}

echo "<div class='foot'>";

echo "<div class='title'>";
echo 'Эпоха сражений</font></div>';

echo' <div class="empty_block item_center bottom"><img src="/img/logo.png"> </div> ';

if (isset($_GET['login'])){
if (isset($_GET['secret'])){
	$login=$_POST['login'];
	$secret=$_POST['secret'];

$newpassword =uniqid("F"); 
$newpas=substr($newpassword,4);
$new=$newpas;


	if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE
	`login`='".mysql_real_escape_string($login)."'
	AND `secret`='".mysql_real_escape_string($secret)."'"),0)){
 mysql_query("UPDATE `account` SET `password`='$new' WHERE `login` = '".mysql_real_escape_string($login)."'");
		echo ' <div class="block item_center"> <center>Имя персонажа <b>'.$login.'</b> <br>Ваш новый пароль: <b>'.mysql_result(mysql_query("SELECT `password` FROM `user` WHERE
			`login`='".mysql_real_escape_string($login)."'
			AND `secret`='".mysql_real_escape_string($secret)."'"),0),'</b></center></div>';


echo "<div class='block_link'>";
echo "<center><div class='foot'> <a href=\"index.php\">На главную</center></a></div>";

include 'system/foot.php';


			exit;
	}else{
		
echo '
<div class="block item_center">
 <div class="red">
<center>Неправильное секретное слово.</div>';
 	}
}	
	$login=mysql_real_escape_string($_POST['login']);
	if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE
	`login`='".mysql_real_escape_string($login)."'"),0)){
		echo '

 
<form action="?secret&login" method="post">
		<center>Имя персонажа<br  />
		
		<input name="login" value="'.mysql_real_escape_string($login).'">
		<br />
		Секретное слово:<br />

		<input name="secret"/><br />
		
		<input type="submit" class="button" value="Продолжить"/></center>

		</form>
</div>';

echo "<div class='block_link'>";
echo "  <a href=\"index.php\">На главную</center></a>";

include 'system/foot.php';

		exit;
	}else{

echo '
<div class="block item_center">
 	 <div class="red"> <center>Неправильное имя персонажа</center></div>';
	}
	 
	//mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `login`='".$login."' OR `name`='".$name."'"),0);
}

echo '
 
<form action="?login" method="post">
<center>Имя персонажа<br>

<input name="login"/><br>


<input type="submit" class="button" value="Продолжить"/></center>

</form></div>';






echo " <hr> <div class='block_link'> <a href=\"index.php\">На главную</a></div><hr>";



include 'system/foot.php';
?>
